# ARBVertexArrayObject (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBVertexArrayObject

    java.lang.Object
      org.lwjgl.opengl.ARBVertexArrayObject

    public final class ARBVertexArrayObject

extends java.lang.Object

Field Summary
`static int` `GL_VERTEX_ARRAY_BINDING` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

Method Summary
`static void` `glBindVertexArray(int array)`
`static void` `glDeleteVertexArrays(int array)` Overloads glDeleteVertexArrays.
`static void` `glDeleteVertexArrays(java.nio.IntBuffer arrays)`
`static int` `glGenVertexArrays()` Overloads glGenVertexArrays.
`static void` `glGenVertexArrays(java.nio.IntBuffer arrays)`
`static boolean` `glIsVertexArray(int array)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_VERTEX_ARRAY_BINDING

    public static final int GL_VERTEX_ARRAY_BINDING

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

Method Detail

### glBindVertexArray

    public static void glBindVertexArray(int array)

### glDeleteVertexArrays

    public static void glDeleteVertexArrays(java.nio.IntBuffer arrays)

### glDeleteVertexArrays

    public static void glDeleteVertexArrays(int array)

  Overloads glDeleteVertexArrays.

### glGenVertexArrays

    public static void glGenVertexArrays(java.nio.IntBuffer arrays)

### glGenVertexArrays

    public static int glGenVertexArrays()

  Overloads glGenVertexArrays.

### glIsVertexArray

    public static boolean glIsVertexArray(int array)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.